Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.io
Class AutoDetection.Result

    java.lang.Object
      org.gjt.sp.jedit.io.AutoDetection.Result

Enclosing class:
  AutoDetection

    public static class AutoDetection.Result

extends java.lang.Object

An utility class to hold the result of some auto detections.

Constructor Summary
`AutoDetection.Result(java.io.InputStream in)` Do some auto detection for a stream and hold the result in this instance.

Method Summary
`java.lang.String` | `getDetectedEncoding()` Returns the auto detected encoding.
`java.io.BufferedInputStream` | `getRewindedStream()` Returns the stream which can be read the contents of the original stream.
`boolean` | `streamIsGzipped()` Returns true if the stream is gzipped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoDetection.Result

    public AutoDetection.Result(java.io.InputStream in)
                         throws java.io.IOException

  Do some auto detection for a stream and hold the result in this instance.

  Parameters:
    `in` - the stream
  Throws:
    `java.io.IOException`

Method Detail

### getRewindedStream

    public java.io.BufferedInputStream getRewindedStream()
                                                  throws java.io.IOException

  Returns the stream which can be read the contents of the original stream. Some bytes ware read from original stream for auto detections. But they are rewinded at this method.

  Throws:
    `java.io.IOException`

### streamIsGzipped

    public boolean streamIsGzipped()

  Returns true if the stream is gzipped.

### getDetectedEncoding

    public java.lang.String getDetectedEncoding()

  Returns the auto detected encoding. Returns null if no encoding was detected.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD